Lease Component Financial Term¶
Retrieves A Specific Lease Component Financial Term¶
HTTP Request
GET /api/v1/lease-component-financial-terms/{id}
📋 Description: Retrieves the details of a specific lease component financial terms identified by the provided ID
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer |
true |
The unique identifier of the lease component financial terms to retrieve. |
Example Values¶
Parameter |
Example |
Type |
|---|---|---|
id |
|
path |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
Successfully retrieved lease component financial terms. |
Example Responses
1{
2 "code": "OK",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 10000001,
16 "displayId": "1495040334-20250828-085516",
17 "name": "Base Rent",
18 "expenseCategory": {
19 "id": 101,
20 "displayId": "EC-2025-001",
21 "status": {
22 "name": "ACTIVE",
23 "captionKey": "enum.objectStatus.active",
24 "active": true,
25 "caption": "Active"
26 },
27 "name": "Lease Payment",
28 "expenseCategoryType": "PAYMENT"
29 },
30 "amount": 1,
31 "amountFrequency": "ONE_TIME",
32 "paymentMode": "ADVANCE",
33 "paymentCalculationMode": "ONE_TIME",
34 "firstSpecialPaymentDate": "2019-08-24",
35 "lastSpecialPaymentDate": "2019-08-24",
36 "paymentFrequency": "MONTHLY",
37 "firstPaymentDate": "2019-08-24",
38 "lastPaymentDate": "2019-08-24",
39 "firstPaymentAmount": 0.1,
40 "lastPaymentAmount": 0.1,
41 "months": 1,
42 "days": 1,
43 "notificationDate": "2019-08-24",
44 "monthEnd": false,
45 "paymentTiming": "START_OF_DAY",
46 "escalatingRent": false,
47 "stopEscalatingAtZero": false,
48 "escalatingRentAmount": 0,
49 "escalatingRentType": "FIXED",
50 "escalationFrequencyOffset": 0,
51 "escalationFrequency": 0,
52 "escalationFastForward": 0,
53 "termStartDate": "2019-08-24",
54 "termEndDate": "2019-08-24",
55 "expenseCategoryType": "PAYMENT",
56 "spreadingFrequency": "NONE",
57 "firstSpreadingAmount": 0.1,
58 "lastSpreadingAmount": 0.1,
59 "valid": true,
60 "parentFinancialTermId": 0,
61 "termStatus": "EDITABLE",
62 "lockReason": "EXERCISED_IN_ACTIVATION_GROUP",
63 "vendorPaymentSplits": [],
64 "revisionDisplayId": "2107425785-20250828-083848",
65 "termType": "PAYMENT_TERM",
66 "revisionId": 10000006,
67 "leaseComponentId": 10000006,
68 "leaseComponentDisplayId": "LC-100000100",
69 "type": "LEASE",
70 "numberRangeIdentifierType": {
71 "name": "COMPANY_CODE"
72 },
73 "numberRangeIdentifierValue": "string",
74 "numberRangeType": {
75 "name": "CONTRACT"
76 },
77 "allowsSystemGenerateNewId": false
78 }
79}
Update A Specified Lease Component Carry Over Balance¶
HTTP Request
PUT /api/v1/lease-component-financial-terms/{id}
📋 Description: Updates a specified lease component carry over balances in the Nakisa Lease Accounting Suite.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer |
true |
The ID of the lease component financial term to update. |
body |
body |
false |
none |
Example Values¶
Parameter |
Example |
Type |
|---|---|---|
id |
|
path |
Body Parameters
1{
2 "id": 10000001,
3 "displayId": "1495040334-20250828-085516",
4 "name": "Base Rent",
5 "expenseCategory": {
6 "id": 101,
7 "displayId": "EC-2025-001",
8 "status": {
9 "name": "ACTIVE",
10 "captionKey": "enum.objectStatus.active",
11 "active": true,
12 "caption": "Active"
13 },
14 "name": "Lease Payment",
15 "expenseCategoryType": "PAYMENT"
16 },
17 "amount": 1,
18 "amountFrequency": "ONE_TIME",
19 "paymentMode": "ADVANCE",
20 "paymentCalculationMode": "ONE_TIME",
21 "firstSpecialPaymentDate": "2019-08-24",
22 "lastSpecialPaymentDate": "2019-08-24",
23 "paymentFrequency": "MONTHLY",
24 "firstPaymentDate": "2019-08-24",
25 "lastPaymentDate": "2019-08-24",
26 "firstPaymentAmount": 0.1,
27 "lastPaymentAmount": 0.1,
28 "months": 1,
29 "days": 1,
30 "notificationDate": "2019-08-24",
31 "monthEnd": false,
32 "paymentTiming": "START_OF_DAY",
33 "escalatingRent": false,
34 "stopEscalatingAtZero": false,
35 "escalatingRentAmount": 0,
36 "escalatingRentType": "FIXED",
37 "escalationFrequencyOffset": 0,
38 "escalationFrequency": 0,
39 "escalationFastForward": 0,
40 "termStartDate": "2019-08-24",
41 "termEndDate": "2019-08-24",
42 "expenseCategoryType": "PAYMENT",
43 "spreadingFrequency": "NONE",
44 "firstSpreadingAmount": 0.1,
45 "lastSpreadingAmount": 0.1,
46 "valid": true,
47 "parentFinancialTermId": 0,
48 "termStatus": "EDITABLE",
49 "lockReason": "EXERCISED_IN_ACTIVATION_GROUP",
50 "vendorPaymentSplits": [],
51 "revisionDisplayId": "2107425785-20250828-083848",
52 "termType": "PAYMENT_TERM",
53 "revisionId": 10000006,
54 "leaseComponentId": 10000006,
55 "leaseComponentDisplayId": "LC-100000100",
56 "type": "LEASE",
57 "numberRangeIdentifierType": {
58 "name": "COMPANY_CODE"
59 },
60 "numberRangeIdentifierValue": "string",
61 "numberRangeType": {
62 "name": "CONTRACT"
63 },
64 "allowsSystemGenerateNewId": false
65}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
lease component financial term successfully updated. |
Example Responses
1{
2 "code": "OK",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 10000001,
16 "displayId": "1495040334-20250828-085516",
17 "name": "Base Rent",
18 "expenseCategory": {
19 "id": 101,
20 "displayId": "EC-2025-001",
21 "status": {
22 "name": "ACTIVE",
23 "captionKey": "enum.objectStatus.active",
24 "active": true,
25 "caption": "Active"
26 },
27 "name": "Lease Payment",
28 "expenseCategoryType": "PAYMENT"
29 },
30 "amount": 1,
31 "amountFrequency": "ONE_TIME",
32 "paymentMode": "ADVANCE",
33 "paymentCalculationMode": "ONE_TIME",
34 "firstSpecialPaymentDate": "2019-08-24",
35 "lastSpecialPaymentDate": "2019-08-24",
36 "paymentFrequency": "MONTHLY",
37 "firstPaymentDate": "2019-08-24",
38 "lastPaymentDate": "2019-08-24",
39 "firstPaymentAmount": 0.1,
40 "lastPaymentAmount": 0.1,
41 "months": 1,
42 "days": 1,
43 "notificationDate": "2019-08-24",
44 "monthEnd": false,
45 "paymentTiming": "START_OF_DAY",
46 "escalatingRent": false,
47 "stopEscalatingAtZero": false,
48 "escalatingRentAmount": 0,
49 "escalatingRentType": "FIXED",
50 "escalationFrequencyOffset": 0,
51 "escalationFrequency": 0,
52 "escalationFastForward": 0,
53 "termStartDate": "2019-08-24",
54 "termEndDate": "2019-08-24",
55 "expenseCategoryType": "PAYMENT",
56 "spreadingFrequency": "NONE",
57 "firstSpreadingAmount": 0.1,
58 "lastSpreadingAmount": 0.1,
59 "valid": true,
60 "parentFinancialTermId": 0,
61 "termStatus": "EDITABLE",
62 "lockReason": "EXERCISED_IN_ACTIVATION_GROUP",
63 "vendorPaymentSplits": [],
64 "revisionDisplayId": "2107425785-20250828-083848",
65 "termType": "PAYMENT_TERM",
66 "revisionId": 10000006,
67 "leaseComponentId": 10000006,
68 "leaseComponentDisplayId": "LC-100000100",
69 "type": "LEASE",
70 "numberRangeIdentifierType": {
71 "name": "COMPANY_CODE"
72 },
73 "numberRangeIdentifierValue": "string",
74 "numberRangeType": {
75 "name": "CONTRACT"
76 },
77 "allowsSystemGenerateNewId": false
78 }
79}
Delete A Lease Component Financial Term¶
HTTP Request
DELETE /api/v1/lease-component-financial-terms/{id}
📋 Description: Deletes a specified lease component financial term from the Nakisa Lease Accounting Suite.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer |
true |
Unique identifier of the lease component financial term to delete. |
Example Values¶
Parameter |
Example |
Type |
|---|---|---|
id |
|
path |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
The lease component financial term successfully deleted. |
Example Responses
1{
2 "code": "OK",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": {}
15}
Updates Specified Lease Component Financial Term¶
HTTP Request
PATCH /api/v1/lease-component-financial-terms/{id}
📋 Description: Updates a specified lease component financial term in the Nakisa Lease Accounting Suite.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer |
true |
The ID of the lease component financial term to patch. |
body |
body |
false |
none |
Example Values¶
Parameter |
Example |
Type |
|---|---|---|
id |
|
path |
body |
|
body |
Body Parameters
1{
2 "op": "replace",
3 "path": "/name",
4 "value": "patched contract"
5}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
Successfully patched the lease component financial term. |
Example Responses
1{
2 "code": "OK",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 10000001,
16 "displayId": "1495040334-20250828-085516",
17 "name": "Base Rent",
18 "expenseCategory": {
19 "id": 101,
20 "displayId": "EC-2025-001",
21 "status": {
22 "name": "ACTIVE",
23 "captionKey": "enum.objectStatus.active",
24 "active": true,
25 "caption": "Active"
26 },
27 "name": "Lease Payment",
28 "expenseCategoryType": "PAYMENT"
29 },
30 "amount": 1,
31 "amountFrequency": "ONE_TIME",
32 "paymentMode": "ADVANCE",
33 "paymentCalculationMode": "ONE_TIME",
34 "firstSpecialPaymentDate": "2019-08-24",
35 "lastSpecialPaymentDate": "2019-08-24",
36 "paymentFrequency": "MONTHLY",
37 "firstPaymentDate": "2019-08-24",
38 "lastPaymentDate": "2019-08-24",
39 "firstPaymentAmount": 0.1,
40 "lastPaymentAmount": 0.1,
41 "months": 1,
42 "days": 1,
43 "notificationDate": "2019-08-24",
44 "monthEnd": false,
45 "paymentTiming": "START_OF_DAY",
46 "escalatingRent": false,
47 "stopEscalatingAtZero": false,
48 "escalatingRentAmount": 0,
49 "escalatingRentType": "FIXED",
50 "escalationFrequencyOffset": 0,
51 "escalationFrequency": 0,
52 "escalationFastForward": 0,
53 "termStartDate": "2019-08-24",
54 "termEndDate": "2019-08-24",
55 "expenseCategoryType": "PAYMENT",
56 "spreadingFrequency": "NONE",
57 "firstSpreadingAmount": 0.1,
58 "lastSpreadingAmount": 0.1,
59 "valid": true,
60 "parentFinancialTermId": 0,
61 "termStatus": "EDITABLE",
62 "lockReason": "EXERCISED_IN_ACTIVATION_GROUP",
63 "vendorPaymentSplits": [],
64 "revisionDisplayId": "2107425785-20250828-083848",
65 "termType": "PAYMENT_TERM",
66 "revisionId": 10000006,
67 "leaseComponentId": 10000006,
68 "leaseComponentDisplayId": "LC-100000100",
69 "type": "LEASE",
70 "numberRangeIdentifierType": {
71 "name": "COMPANY_CODE"
72 },
73 "numberRangeIdentifierValue": "string",
74 "numberRangeType": {
75 "name": "CONTRACT"
76 },
77 "allowsSystemGenerateNewId": false
78 }
79}
Create Or Update A Lease Component Financial Term¶
HTTP Request
PUT /api/v1/lease-component-financial-terms/createOrUpdate
📋 Description: Create or Updates a specified lease component financial term in the Nakisa Lease Accounting Suite.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
false |
none |
Body Parameters
1{
2 "id": 10000001,
3 "displayId": "1495040334-20250828-085516",
4 "name": "Base Rent",
5 "expenseCategory": {
6 "id": 101,
7 "displayId": "EC-2025-001",
8 "status": {
9 "name": "ACTIVE",
10 "captionKey": "enum.objectStatus.active",
11 "active": true,
12 "caption": "Active"
13 },
14 "name": "Lease Payment",
15 "expenseCategoryType": "PAYMENT"
16 },
17 "amount": 1,
18 "amountFrequency": "ONE_TIME",
19 "paymentMode": "ADVANCE",
20 "paymentCalculationMode": "ONE_TIME",
21 "firstSpecialPaymentDate": "2019-08-24",
22 "lastSpecialPaymentDate": "2019-08-24",
23 "paymentFrequency": "MONTHLY",
24 "firstPaymentDate": "2019-08-24",
25 "lastPaymentDate": "2019-08-24",
26 "firstPaymentAmount": 0.1,
27 "lastPaymentAmount": 0.1,
28 "months": 1,
29 "days": 1,
30 "notificationDate": "2019-08-24",
31 "monthEnd": false,
32 "paymentTiming": "START_OF_DAY",
33 "escalatingRent": false,
34 "stopEscalatingAtZero": false,
35 "escalatingRentAmount": 0,
36 "escalatingRentType": "FIXED",
37 "escalationFrequencyOffset": 0,
38 "escalationFrequency": 0,
39 "escalationFastForward": 0,
40 "termStartDate": "2019-08-24",
41 "termEndDate": "2019-08-24",
42 "expenseCategoryType": "PAYMENT",
43 "spreadingFrequency": "NONE",
44 "firstSpreadingAmount": 0.1,
45 "lastSpreadingAmount": 0.1,
46 "valid": true,
47 "parentFinancialTermId": 0,
48 "termStatus": "EDITABLE",
49 "lockReason": "EXERCISED_IN_ACTIVATION_GROUP",
50 "vendorPaymentSplits": [],
51 "revisionDisplayId": "2107425785-20250828-083848",
52 "termType": "PAYMENT_TERM",
53 "revisionId": 10000006,
54 "leaseComponentId": 10000006,
55 "leaseComponentDisplayId": "LC-100000100",
56 "type": "LEASE",
57 "numberRangeIdentifierType": {
58 "name": "COMPANY_CODE"
59 },
60 "numberRangeIdentifierValue": "string",
61 "numberRangeType": {
62 "name": "CONTRACT"
63 },
64 "allowsSystemGenerateNewId": false
65}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
Successfully created or updated the lease component financial term. |
Example Responses
1{
2 "code": "OK",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 10000001,
16 "displayId": "1495040334-20250828-085516",
17 "name": "Base Rent",
18 "expenseCategory": {
19 "id": 101,
20 "displayId": "EC-2025-001",
21 "status": {
22 "name": "ACTIVE",
23 "captionKey": "enum.objectStatus.active",
24 "active": true,
25 "caption": "Active"
26 },
27 "name": "Lease Payment",
28 "expenseCategoryType": "PAYMENT"
29 },
30 "amount": 1,
31 "amountFrequency": "ONE_TIME",
32 "paymentMode": "ADVANCE",
33 "paymentCalculationMode": "ONE_TIME",
34 "firstSpecialPaymentDate": "2019-08-24",
35 "lastSpecialPaymentDate": "2019-08-24",
36 "paymentFrequency": "MONTHLY",
37 "firstPaymentDate": "2019-08-24",
38 "lastPaymentDate": "2019-08-24",
39 "firstPaymentAmount": 0.1,
40 "lastPaymentAmount": 0.1,
41 "months": 1,
42 "days": 1,
43 "notificationDate": "2019-08-24",
44 "monthEnd": false,
45 "paymentTiming": "START_OF_DAY",
46 "escalatingRent": false,
47 "stopEscalatingAtZero": false,
48 "escalatingRentAmount": 0,
49 "escalatingRentType": "FIXED",
50 "escalationFrequencyOffset": 0,
51 "escalationFrequency": 0,
52 "escalationFastForward": 0,
53 "termStartDate": "2019-08-24",
54 "termEndDate": "2019-08-24",
55 "expenseCategoryType": "PAYMENT",
56 "spreadingFrequency": "NONE",
57 "firstSpreadingAmount": 0.1,
58 "lastSpreadingAmount": 0.1,
59 "valid": true,
60 "parentFinancialTermId": 0,
61 "termStatus": "EDITABLE",
62 "lockReason": "EXERCISED_IN_ACTIVATION_GROUP",
63 "vendorPaymentSplits": [],
64 "revisionDisplayId": "2107425785-20250828-083848",
65 "termType": "PAYMENT_TERM",
66 "revisionId": 10000006,
67 "leaseComponentId": 10000006,
68 "leaseComponentDisplayId": "LC-100000100",
69 "type": "LEASE",
70 "numberRangeIdentifierType": {
71 "name": "COMPANY_CODE"
72 },
73 "numberRangeIdentifierValue": "string",
74 "numberRangeType": {
75 "name": "CONTRACT"
76 },
77 "allowsSystemGenerateNewId": false
78 }
79}
Creates Or Updates Lease Component Financial Terms In Bulk¶
HTTP Request
PUT /api/v1/lease-component-financial-terms/createOrUpdate/bulk
📋 Description: Creates or updates multiple lease component financial terms in bulk within the Nakisa Lease Accounting Suite
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
false |
none |
Body Parameters
1[
2 {
3 "id": 10000001,
4 "displayId": "1495040334-20250828-085516",
5 "name": "Base Rent",
6 "expenseCategory": {
7 "id": 101,
8 "displayId": "EC-2025-001",
9 "status": {
10 "name": "ACTIVE",
11 "captionKey": "enum.objectStatus.active",
12 "active": true,
13 "caption": "Active"
14 },
15 "name": "Lease Payment",
16 "expenseCategoryType": "PAYMENT"
17 },
18 "amount": 1,
19 "amountFrequency": "ONE_TIME",
20 "paymentMode": "ADVANCE",
21 "paymentCalculationMode": "ONE_TIME",
22 "firstSpecialPaymentDate": "2019-08-24",
23 "lastSpecialPaymentDate": "2019-08-24",
24 "paymentFrequency": "MONTHLY",
25 "firstPaymentDate": "2019-08-24",
26 "lastPaymentDate": "2019-08-24",
27 "firstPaymentAmount": 0.1,
28 "lastPaymentAmount": 0.1,
29 "months": 1,
30 "days": 1,
31 "notificationDate": "2019-08-24",
32 "monthEnd": false,
33 "paymentTiming": "START_OF_DAY",
34 "escalatingRent": false,
35 "stopEscalatingAtZero": false,
36 "escalatingRentAmount": 0,
37 "escalatingRentType": "FIXED",
38 "escalationFrequencyOffset": 0,
39 "escalationFrequency": 0,
40 "escalationFastForward": 0,
41 "termStartDate": "2019-08-24",
42 "termEndDate": "2019-08-24",
43 "expenseCategoryType": "PAYMENT",
44 "spreadingFrequency": "NONE",
45 "firstSpreadingAmount": 0.1,
46 "lastSpreadingAmount": 0.1,
47 "valid": true,
48 "parentFinancialTermId": 0,
49 "termStatus": "EDITABLE",
50 "lockReason": "EXERCISED_IN_ACTIVATION_GROUP",
51 "vendorPaymentSplits": [],
52 "revisionDisplayId": "2107425785-20250828-083848",
53 "termType": "PAYMENT_TERM",
54 "revisionId": 10000006,
55 "leaseComponentId": 10000006,
56 "leaseComponentDisplayId": "LC-100000100",
57 "type": "LEASE",
58 "numberRangeIdentifierType": {
59 "name": "COMPANY_CODE"
60 },
61 "numberRangeIdentifierValue": "string",
62 "numberRangeType": {
63 "name": "CONTRACT"
64 },
65 "allowsSystemGenerateNewId": false
66 }
67]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
Successfully processed all lease component financial term. |
Example Responses
1{
2 "code": "OK",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": [
15 {
16 "id": 10000001,
17 "displayId": "1495040334-20250828-085516",
18 "name": "Base Rent",
19 "expenseCategory": {
20 "id": 101,
21 "displayId": "EC-2025-001",
22 "status": {
23 "name": "ACTIVE",
24 "captionKey": "enum.objectStatus.active",
25 "active": true,
26 "caption": "Active"
27 },
28 "name": "Lease Payment",
29 "expenseCategoryType": "PAYMENT"
30 },
31 "amount": 1,
32 "amountFrequency": "ONE_TIME",
33 "paymentMode": "ADVANCE",
34 "paymentCalculationMode": "ONE_TIME",
35 "firstSpecialPaymentDate": "2019-08-24",
36 "lastSpecialPaymentDate": "2019-08-24",
37 "paymentFrequency": "MONTHLY",
38 "firstPaymentDate": "2019-08-24",
39 "lastPaymentDate": "2019-08-24",
40 "firstPaymentAmount": 0.1,
41 "lastPaymentAmount": 0.1,
42 "months": 1,
43 "days": 1,
44 "notificationDate": "2019-08-24",
45 "monthEnd": false,
46 "paymentTiming": "START_OF_DAY",
47 "escalatingRent": false,
48 "stopEscalatingAtZero": false,
49 "escalatingRentAmount": 0,
50 "escalatingRentType": "FIXED",
51 "escalationFrequencyOffset": 0,
52 "escalationFrequency": 0,
53 "escalationFastForward": 0,
54 "termStartDate": "2019-08-24",
55 "termEndDate": "2019-08-24",
56 "expenseCategoryType": "PAYMENT",
57 "spreadingFrequency": "NONE",
58 "firstSpreadingAmount": 0.1,
59 "lastSpreadingAmount": 0.1,
60 "valid": true,
61 "parentFinancialTermId": 0,
62 "termStatus": "EDITABLE",
63 "lockReason": "EXERCISED_IN_ACTIVATION_GROUP",
64 "vendorPaymentSplits": [],
65 "revisionDisplayId": "2107425785-20250828-083848",
66 "termType": "PAYMENT_TERM",
67 "revisionId": 10000006,
68 "leaseComponentId": 10000006,
69 "leaseComponentDisplayId": "LC-100000100",
70 "type": "LEASE",
71 "numberRangeIdentifierType": {
72 "name": "COMPANY_CODE"
73 },
74 "numberRangeIdentifierValue": "string",
75 "numberRangeType": {
76 "name": "CONTRACT"
77 },
78 "allowsSystemGenerateNewId": false
79 }
80 ]
81}
Updates Lease Component Financial Term In Bulk¶
HTTP Request
PUT /api/v1/lease-component-financial-terms/bulk
📋 Description: Updates multiple lease component financial terms in bulk within the Nakisa Lease Accounting Suite
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
false |
none |
Body Parameters
1[
2 {
3 "id": 10000001,
4 "displayId": "1495040334-20250828-085516",
5 "name": "Base Rent",
6 "expenseCategory": {
7 "id": 101,
8 "displayId": "EC-2025-001",
9 "status": {
10 "name": "ACTIVE",
11 "captionKey": "enum.objectStatus.active",
12 "active": true,
13 "caption": "Active"
14 },
15 "name": "Lease Payment",
16 "expenseCategoryType": "PAYMENT"
17 },
18 "amount": 1,
19 "amountFrequency": "ONE_TIME",
20 "paymentMode": "ADVANCE",
21 "paymentCalculationMode": "ONE_TIME",
22 "firstSpecialPaymentDate": "2019-08-24",
23 "lastSpecialPaymentDate": "2019-08-24",
24 "paymentFrequency": "MONTHLY",
25 "firstPaymentDate": "2019-08-24",
26 "lastPaymentDate": "2019-08-24",
27 "firstPaymentAmount": 0.1,
28 "lastPaymentAmount": 0.1,
29 "months": 1,
30 "days": 1,
31 "notificationDate": "2019-08-24",
32 "monthEnd": false,
33 "paymentTiming": "START_OF_DAY",
34 "escalatingRent": false,
35 "stopEscalatingAtZero": false,
36 "escalatingRentAmount": 0,
37 "escalatingRentType": "FIXED",
38 "escalationFrequencyOffset": 0,
39 "escalationFrequency": 0,
40 "escalationFastForward": 0,
41 "termStartDate": "2019-08-24",
42 "termEndDate": "2019-08-24",
43 "expenseCategoryType": "PAYMENT",
44 "spreadingFrequency": "NONE",
45 "firstSpreadingAmount": 0.1,
46 "lastSpreadingAmount": 0.1,
47 "valid": true,
48 "parentFinancialTermId": 0,
49 "termStatus": "EDITABLE",
50 "lockReason": "EXERCISED_IN_ACTIVATION_GROUP",
51 "vendorPaymentSplits": [],
52 "revisionDisplayId": "2107425785-20250828-083848",
53 "termType": "PAYMENT_TERM",
54 "revisionId": 10000006,
55 "leaseComponentId": 10000006,
56 "leaseComponentDisplayId": "LC-100000100",
57 "type": "LEASE",
58 "numberRangeIdentifierType": {
59 "name": "COMPANY_CODE"
60 },
61 "numberRangeIdentifierValue": "string",
62 "numberRangeType": {
63 "name": "CONTRACT"
64 },
65 "allowsSystemGenerateNewId": false
66 }
67]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
Successfully processed all lease component financial terms. |
Example Responses
1{
2 "code": "OK",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": [
15 {
16 "id": 10000001,
17 "displayId": "1495040334-20250828-085516",
18 "name": "Base Rent",
19 "expenseCategory": {
20 "id": 101,
21 "displayId": "EC-2025-001",
22 "status": {
23 "name": "ACTIVE",
24 "captionKey": "enum.objectStatus.active",
25 "active": true,
26 "caption": "Active"
27 },
28 "name": "Lease Payment",
29 "expenseCategoryType": "PAYMENT"
30 },
31 "amount": 1,
32 "amountFrequency": "ONE_TIME",
33 "paymentMode": "ADVANCE",
34 "paymentCalculationMode": "ONE_TIME",
35 "firstSpecialPaymentDate": "2019-08-24",
36 "lastSpecialPaymentDate": "2019-08-24",
37 "paymentFrequency": "MONTHLY",
38 "firstPaymentDate": "2019-08-24",
39 "lastPaymentDate": "2019-08-24",
40 "firstPaymentAmount": 0.1,
41 "lastPaymentAmount": 0.1,
42 "months": 1,
43 "days": 1,
44 "notificationDate": "2019-08-24",
45 "monthEnd": false,
46 "paymentTiming": "START_OF_DAY",
47 "escalatingRent": false,
48 "stopEscalatingAtZero": false,
49 "escalatingRentAmount": 0,
50 "escalatingRentType": "FIXED",
51 "escalationFrequencyOffset": 0,
52 "escalationFrequency": 0,
53 "escalationFastForward": 0,
54 "termStartDate": "2019-08-24",
55 "termEndDate": "2019-08-24",
56 "expenseCategoryType": "PAYMENT",
57 "spreadingFrequency": "NONE",
58 "firstSpreadingAmount": 0.1,
59 "lastSpreadingAmount": 0.1,
60 "valid": true,
61 "parentFinancialTermId": 0,
62 "termStatus": "EDITABLE",
63 "lockReason": "EXERCISED_IN_ACTIVATION_GROUP",
64 "vendorPaymentSplits": [],
65 "revisionDisplayId": "2107425785-20250828-083848",
66 "termType": "PAYMENT_TERM",
67 "revisionId": 10000006,
68 "leaseComponentId": 10000006,
69 "leaseComponentDisplayId": "LC-100000100",
70 "type": "LEASE",
71 "numberRangeIdentifierType": {
72 "name": "COMPANY_CODE"
73 },
74 "numberRangeIdentifierValue": "string",
75 "numberRangeType": {
76 "name": "CONTRACT"
77 },
78 "allowsSystemGenerateNewId": false
79 }
80 ]
81}
Creates Multiple Lease Component Financial Term In Bulk.¶
HTTP Request
POST /api/v1/lease-component-financial-terms/bulk
📋 Description: Submits a bulk upload of lease component financial term data to the Nakisa Lease Accounting Suite.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
false |
none |
Body Parameters
1[
2 {
3 "id": 10000001,
4 "displayId": "1495040334-20250828-085516",
5 "name": "Base Rent",
6 "expenseCategory": {
7 "id": 101,
8 "displayId": "EC-2025-001",
9 "status": {
10 "name": "ACTIVE",
11 "captionKey": "enum.objectStatus.active",
12 "active": true,
13 "caption": "Active"
14 },
15 "name": "Lease Payment",
16 "expenseCategoryType": "PAYMENT"
17 },
18 "amount": 1,
19 "amountFrequency": "ONE_TIME",
20 "paymentMode": "ADVANCE",
21 "paymentCalculationMode": "ONE_TIME",
22 "firstSpecialPaymentDate": "2019-08-24",
23 "lastSpecialPaymentDate": "2019-08-24",
24 "paymentFrequency": "MONTHLY",
25 "firstPaymentDate": "2019-08-24",
26 "lastPaymentDate": "2019-08-24",
27 "firstPaymentAmount": 0.1,
28 "lastPaymentAmount": 0.1,
29 "months": 1,
30 "days": 1,
31 "notificationDate": "2019-08-24",
32 "monthEnd": false,
33 "paymentTiming": "START_OF_DAY",
34 "escalatingRent": false,
35 "stopEscalatingAtZero": false,
36 "escalatingRentAmount": 0,
37 "escalatingRentType": "FIXED",
38 "escalationFrequencyOffset": 0,
39 "escalationFrequency": 0,
40 "escalationFastForward": 0,
41 "termStartDate": "2019-08-24",
42 "termEndDate": "2019-08-24",
43 "expenseCategoryType": "PAYMENT",
44 "spreadingFrequency": "NONE",
45 "firstSpreadingAmount": 0.1,
46 "lastSpreadingAmount": 0.1,
47 "valid": true,
48 "parentFinancialTermId": 0,
49 "termStatus": "EDITABLE",
50 "lockReason": "EXERCISED_IN_ACTIVATION_GROUP",
51 "vendorPaymentSplits": [],
52 "revisionDisplayId": "2107425785-20250828-083848",
53 "termType": "PAYMENT_TERM",
54 "revisionId": 10000006,
55 "leaseComponentId": 10000006,
56 "leaseComponentDisplayId": "LC-100000100",
57 "type": "LEASE",
58 "numberRangeIdentifierType": {
59 "name": "COMPANY_CODE"
60 },
61 "numberRangeIdentifierValue": "string",
62 "numberRangeType": {
63 "name": "CONTRACT"
64 },
65 "allowsSystemGenerateNewId": false
66 }
67]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
Successfully created all lease component financial term. |
Example Responses
1{
2 "code": "OK",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": [
15 {
16 "id": 10000001,
17 "displayId": "1495040334-20250828-085516",
18 "name": "Base Rent",
19 "expenseCategory": {
20 "id": 101,
21 "displayId": "EC-2025-001",
22 "status": {
23 "name": "ACTIVE",
24 "captionKey": "enum.objectStatus.active",
25 "active": true,
26 "caption": "Active"
27 },
28 "name": "Lease Payment",
29 "expenseCategoryType": "PAYMENT"
30 },
31 "amount": 1,
32 "amountFrequency": "ONE_TIME",
33 "paymentMode": "ADVANCE",
34 "paymentCalculationMode": "ONE_TIME",
35 "firstSpecialPaymentDate": "2019-08-24",
36 "lastSpecialPaymentDate": "2019-08-24",
37 "paymentFrequency": "MONTHLY",
38 "firstPaymentDate": "2019-08-24",
39 "lastPaymentDate": "2019-08-24",
40 "firstPaymentAmount": 0.1,
41 "lastPaymentAmount": 0.1,
42 "months": 1,
43 "days": 1,
44 "notificationDate": "2019-08-24",
45 "monthEnd": false,
46 "paymentTiming": "START_OF_DAY",
47 "escalatingRent": false,
48 "stopEscalatingAtZero": false,
49 "escalatingRentAmount": 0,
50 "escalatingRentType": "FIXED",
51 "escalationFrequencyOffset": 0,
52 "escalationFrequency": 0,
53 "escalationFastForward": 0,
54 "termStartDate": "2019-08-24",
55 "termEndDate": "2019-08-24",
56 "expenseCategoryType": "PAYMENT",
57 "spreadingFrequency": "NONE",
58 "firstSpreadingAmount": 0.1,
59 "lastSpreadingAmount": 0.1,
60 "valid": true,
61 "parentFinancialTermId": 0,
62 "termStatus": "EDITABLE",
63 "lockReason": "EXERCISED_IN_ACTIVATION_GROUP",
64 "vendorPaymentSplits": [],
65 "revisionDisplayId": "2107425785-20250828-083848",
66 "termType": "PAYMENT_TERM",
67 "revisionId": 10000006,
68 "leaseComponentId": 10000006,
69 "leaseComponentDisplayId": "LC-100000100",
70 "type": "LEASE",
71 "numberRangeIdentifierType": {
72 "name": "COMPANY_CODE"
73 },
74 "numberRangeIdentifierValue": "string",
75 "numberRangeType": {
76 "name": "CONTRACT"
77 },
78 "allowsSystemGenerateNewId": false
79 }
80 ]
81}
Deletes Multiple Lease Component Financial Term By Their I Ds.¶
HTTP Request
DELETE /api/v1/lease-component-financial-terms/bulk
📋 Description: Deletes multiple lease component financial term in bulk from the Nakisa Lease Accounting Suite.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
array[integer] |
false |
none |
Body Parameters
1[
2 10000013
3]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
lease component financial terms deleted. |
Example Responses
1{
2 "code": "OK",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": {}
15}
List All Lease Component Financial Terms¶
HTTP Request
GET /api/v1/lease-component-financial-terms
📋 Description: Returns a paginated list of all lease component financial terms.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
pageable |
query |
false |
Pagination parameters including page, size, and sort. |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
Successfully retrieved list of lease component financial terms. |
Example Responses
1{
2 "totalPages": 1,
3 "totalElements": 76,
4 "pageable": {
5 "unpaged": false,
6 "paged": true,
7 "pageSize": 100,
8 "pageNumber": 0,
9 "offset": 0,
10 "sort": {
11 "unsorted": false,
12 "sorted": true,
13 "empty": false
14 }
15 },
16 "numberOfElements": 76,
17 "first": true,
18 "last": true,
19 "size": 100,
20 "content": [
21 {
22 "id": 10000001,
23 "displayId": "1495040334-20250828-085516",
24 "name": "Base Rent",
25 "expenseCategory": {
26 "id": 101,
27 "displayId": "EC-2025-001",
28 "status": {
29 "name": "ACTIVE",
30 "captionKey": "enum.objectStatus.active",
31 "active": true,
32 "caption": "Active"
33 },
34 "name": "Lease Payment",
35 "expenseCategoryType": "PAYMENT"
36 },
37 "amount": 1,
38 "amountFrequency": "ONE_TIME",
39 "paymentMode": "ADVANCE",
40 "paymentCalculationMode": "ONE_TIME",
41 "firstSpecialPaymentDate": "2019-08-24",
42 "lastSpecialPaymentDate": "2019-08-24",
43 "paymentFrequency": "MONTHLY",
44 "firstPaymentDate": "2019-08-24",
45 "lastPaymentDate": "2019-08-24",
46 "firstPaymentAmount": 0.1,
47 "lastPaymentAmount": 0.1,
48 "months": 1,
49 "days": 1,
50 "notificationDate": "2019-08-24",
51 "monthEnd": false,
52 "paymentTiming": "START_OF_DAY",
53 "escalatingRent": false,
54 "stopEscalatingAtZero": false,
55 "escalatingRentAmount": 0,
56 "escalatingRentType": "FIXED",
57 "escalationFrequencyOffset": 0,
58 "escalationFrequency": 0,
59 "escalationFastForward": 0,
60 "termStartDate": "2019-08-24",
61 "termEndDate": "2019-08-24",
62 "expenseCategoryType": "PAYMENT",
63 "spreadingFrequency": "NONE",
64 "firstSpreadingAmount": 0.1,
65 "lastSpreadingAmount": 0.1,
66 "valid": true,
67 "parentFinancialTermId": 0,
68 "termStatus": "EDITABLE",
69 "lockReason": "EXERCISED_IN_ACTIVATION_GROUP",
70 "vendorPaymentSplits": [],
71 "revisionDisplayId": "2107425785-20250828-083848",
72 "termType": "PAYMENT_TERM",
73 "revisionId": 10000006,
74 "leaseComponentId": 10000006,
75 "leaseComponentDisplayId": "LC-100000100",
76 "type": "LEASE",
77 "numberRangeIdentifierType": {
78 "name": "COMPANY_CODE"
79 },
80 "numberRangeIdentifierValue": "string",
81 "numberRangeType": {
82 "name": "CONTRACT"
83 },
84 "allowsSystemGenerateNewId": false
85 }
86 ],
87 "number": 0,
88 "sort": {
89 "unsorted": false,
90 "sorted": true,
91 "empty": false
92 },
93 "empty": false
94}
Create A Lease Component Financial Term¶
HTTP Request
POST /api/v1/lease-component-financial-terms
📋 Description: Creates a new lease component financial term.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
false |
none |
Body Parameters
1{
2 "id": 10000001,
3 "displayId": "1495040334-20250828-085516",
4 "name": "Base Rent",
5 "expenseCategory": {
6 "id": 101,
7 "displayId": "EC-2025-001",
8 "status": {
9 "name": "ACTIVE",
10 "captionKey": "enum.objectStatus.active",
11 "active": true,
12 "caption": "Active"
13 },
14 "name": "Lease Payment",
15 "expenseCategoryType": "PAYMENT"
16 },
17 "amount": 1,
18 "amountFrequency": "ONE_TIME",
19 "paymentMode": "ADVANCE",
20 "paymentCalculationMode": "ONE_TIME",
21 "firstSpecialPaymentDate": "2019-08-24",
22 "lastSpecialPaymentDate": "2019-08-24",
23 "paymentFrequency": "MONTHLY",
24 "firstPaymentDate": "2019-08-24",
25 "lastPaymentDate": "2019-08-24",
26 "firstPaymentAmount": 0.1,
27 "lastPaymentAmount": 0.1,
28 "months": 1,
29 "days": 1,
30 "notificationDate": "2019-08-24",
31 "monthEnd": false,
32 "paymentTiming": "START_OF_DAY",
33 "escalatingRent": false,
34 "stopEscalatingAtZero": false,
35 "escalatingRentAmount": 0,
36 "escalatingRentType": "FIXED",
37 "escalationFrequencyOffset": 0,
38 "escalationFrequency": 0,
39 "escalationFastForward": 0,
40 "termStartDate": "2019-08-24",
41 "termEndDate": "2019-08-24",
42 "expenseCategoryType": "PAYMENT",
43 "spreadingFrequency": "NONE",
44 "firstSpreadingAmount": 0.1,
45 "lastSpreadingAmount": 0.1,
46 "valid": true,
47 "parentFinancialTermId": 0,
48 "termStatus": "EDITABLE",
49 "lockReason": "EXERCISED_IN_ACTIVATION_GROUP",
50 "vendorPaymentSplits": [],
51 "revisionDisplayId": "2107425785-20250828-083848",
52 "termType": "PAYMENT_TERM",
53 "revisionId": 10000006,
54 "leaseComponentId": 10000006,
55 "leaseComponentDisplayId": "LC-100000100",
56 "type": "LEASE",
57 "numberRangeIdentifierType": {
58 "name": "COMPANY_CODE"
59 },
60 "numberRangeIdentifierValue": "string",
61 "numberRangeType": {
62 "name": "CONTRACT"
63 },
64 "allowsSystemGenerateNewId": false
65}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
lease component financial term successfully created. |
Example Responses
1{
2 "code": "OK",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 10000001,
16 "displayId": "1495040334-20250828-085516",
17 "name": "Base Rent",
18 "expenseCategory": {
19 "id": 101,
20 "displayId": "EC-2025-001",
21 "status": {
22 "name": "ACTIVE",
23 "captionKey": "enum.objectStatus.active",
24 "active": true,
25 "caption": "Active"
26 },
27 "name": "Lease Payment",
28 "expenseCategoryType": "PAYMENT"
29 },
30 "amount": 1,
31 "amountFrequency": "ONE_TIME",
32 "paymentMode": "ADVANCE",
33 "paymentCalculationMode": "ONE_TIME",
34 "firstSpecialPaymentDate": "2019-08-24",
35 "lastSpecialPaymentDate": "2019-08-24",
36 "paymentFrequency": "MONTHLY",
37 "firstPaymentDate": "2019-08-24",
38 "lastPaymentDate": "2019-08-24",
39 "firstPaymentAmount": 0.1,
40 "lastPaymentAmount": 0.1,
41 "months": 1,
42 "days": 1,
43 "notificationDate": "2019-08-24",
44 "monthEnd": false,
45 "paymentTiming": "START_OF_DAY",
46 "escalatingRent": false,
47 "stopEscalatingAtZero": false,
48 "escalatingRentAmount": 0,
49 "escalatingRentType": "FIXED",
50 "escalationFrequencyOffset": 0,
51 "escalationFrequency": 0,
52 "escalationFastForward": 0,
53 "termStartDate": "2019-08-24",
54 "termEndDate": "2019-08-24",
55 "expenseCategoryType": "PAYMENT",
56 "spreadingFrequency": "NONE",
57 "firstSpreadingAmount": 0.1,
58 "lastSpreadingAmount": 0.1,
59 "valid": true,
60 "parentFinancialTermId": 0,
61 "termStatus": "EDITABLE",
62 "lockReason": "EXERCISED_IN_ACTIVATION_GROUP",
63 "vendorPaymentSplits": [],
64 "revisionDisplayId": "2107425785-20250828-083848",
65 "termType": "PAYMENT_TERM",
66 "revisionId": 10000006,
67 "leaseComponentId": 10000006,
68 "leaseComponentDisplayId": "LC-100000100",
69 "type": "LEASE",
70 "numberRangeIdentifierType": {
71 "name": "COMPANY_CODE"
72 },
73 "numberRangeIdentifierValue": "string",
74 "numberRangeType": {
75 "name": "CONTRACT"
76 },
77 "allowsSystemGenerateNewId": false
78 }
79}
Search Lease Component Financial Terms¶
HTTP Request
POST /api/v1/lease-component-financial-terms/search
📋 Description: Performs a filtered search and returns paginated results.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
page |
query |
integer |
false |
Zero-based page index (0..N) |
size |
query |
integer |
false |
The size of the page to be returned |
sort |
query |
array[string] |
false |
Sorting criteria in the format: property,(asc |
body |
body |
false |
none |
Default Values¶
Parameter |
Default |
Type |
|---|---|---|
page |
|
query |
size |
|
query |
sort |
|
query |
Parameter Constraints¶
Parameter |
Constraints |
|---|---|
page |
Min: 0 |
size |
Min: 1 |
Body Parameters
1{
2 "idIn": [
3 10000001,
4 10000002
5 ],
6 "idEqual": 10000001,
7 "idLike": "1000%",
8 "createdAtGreaterThanOrEqual": "2019-08-24T14:15:22Z",
9 "createdAtLessThanOrEqual": "2019-08-24T14:15:22Z",
10 "createdByLike": "%super.admin%",
11 "createdByEqual": "super.admin@nakisa.com",
12 "modifiedAtGreaterThanOrEqual": "2019-08-24T14:15:22Z",
13 "modifiedAtLessThanOrEqual": "2019-08-24T14:15:22Z",
14 "modifiedByLike": "%super.admin%",
15 "modifiedByEqual": "super.admin@nakisa.com",
16 "displayIdIn": [
17 "1495040334-20250828-085516",
18 "2107425785-20250828-083848"
19 ],
20 "displayIdLike": "1495%",
21 "nameLike": "%Rent%",
22 "expenseCategoryIdIn": [
23 10000001,
24 10000002
25 ],
26 "expenseCategoryDisplayIdIn": [
27 "Base Rent",
28 "Operating Cost"
29 ],
30 "amountGreaterThanOrEqual": 1000,
31 "amountLessThanOrEqual": 5000,
32 "amountFrequencyIn": [
33 "ONE_TIME",
34 "YEAR"
35 ],
36 "paymentModeIn": [
37 "ADVANCE",
38 "ARREARS"
39 ],
40 "paymentCalculationModeIn": [
41 "ONE_TIME",
42 "DAILY"
43 ],
44 "paymentFrequencyIn": [
45 "ANNUALLY",
46 "MONTHLY"
47 ],
48 "firstPaymentDateGreaterThanOrEqual": "2025-08-01",
49 "firstPaymentDateLessThanOrEqual": "2025-09-01",
50 "lastPaymentDateGreaterThanOrEqual": "2025-09-01",
51 "lastPaymentDateLessThanOrEqual": "2025-12-31",
52 "notificationDateGreaterThanOrEqual": "2025-07-01",
53 "notificationDateLessThanOrEqual": "2025-07-31",
54 "termStartDateGreaterThanOrEqual": "2025-08-01",
55 "termStartDateLessThanOrEqual": "2025-09-01",
56 "termEndDateGreaterThanOrEqual": "2025-12-01",
57 "termEndDateLessThanOrEqual": "2026-01-01",
58 "expenseCategoryTypeIn": [
59 "PAYMENT",
60 "CASUALTY"
61 ],
62 "expenseCategoryTypeEqual": "PAYMENT",
63 "revisionDisplayIdIn": [
64 "2107425785-20250828-083848"
65 ],
66 "revisionIdIn": [
67 10000006,
68 10000007
69 ],
70 "leaseComponentIdIn": [
71 10000006,
72 10000007
73 ],
74 "leaseComponentDisplayIdIn": [
75 "LC-100000100",
76 "LC-100000101"
77 ],
78 "type": "LEASE"
79}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
Search results successfully returned. |
Example Responses
1{
2 "totalPages": 1,
3 "totalElements": 76,
4 "pageable": {
5 "unpaged": false,
6 "paged": true,
7 "pageSize": 100,
8 "pageNumber": 0,
9 "offset": 0,
10 "sort": {
11 "unsorted": false,
12 "sorted": true,
13 "empty": false
14 }
15 },
16 "numberOfElements": 76,
17 "first": true,
18 "last": true,
19 "size": 100,
20 "content": [
21 {
22 "id": 10000001,
23 "displayId": "1495040334-20250828-085516",
24 "name": "Base Rent",
25 "expenseCategory": {
26 "id": 101,
27 "displayId": "EC-2025-001",
28 "status": {
29 "name": "ACTIVE",
30 "captionKey": "enum.objectStatus.active",
31 "active": true,
32 "caption": "Active"
33 },
34 "name": "Lease Payment",
35 "expenseCategoryType": "PAYMENT"
36 },
37 "amount": 1,
38 "amountFrequency": "ONE_TIME",
39 "paymentMode": "ADVANCE",
40 "paymentCalculationMode": "ONE_TIME",
41 "firstSpecialPaymentDate": "2019-08-24",
42 "lastSpecialPaymentDate": "2019-08-24",
43 "paymentFrequency": "MONTHLY",
44 "firstPaymentDate": "2019-08-24",
45 "lastPaymentDate": "2019-08-24",
46 "firstPaymentAmount": 0.1,
47 "lastPaymentAmount": 0.1,
48 "months": 1,
49 "days": 1,
50 "notificationDate": "2019-08-24",
51 "monthEnd": false,
52 "paymentTiming": "START_OF_DAY",
53 "escalatingRent": false,
54 "stopEscalatingAtZero": false,
55 "escalatingRentAmount": 0,
56 "escalatingRentType": "FIXED",
57 "escalationFrequencyOffset": 0,
58 "escalationFrequency": 0,
59 "escalationFastForward": 0,
60 "termStartDate": "2019-08-24",
61 "termEndDate": "2019-08-24",
62 "expenseCategoryType": "PAYMENT",
63 "spreadingFrequency": "NONE",
64 "firstSpreadingAmount": 0.1,
65 "lastSpreadingAmount": 0.1,
66 "valid": true,
67 "parentFinancialTermId": 0,
68 "termStatus": "EDITABLE",
69 "lockReason": "EXERCISED_IN_ACTIVATION_GROUP",
70 "vendorPaymentSplits": [],
71 "revisionDisplayId": "2107425785-20250828-083848",
72 "termType": "PAYMENT_TERM",
73 "revisionId": 10000006,
74 "leaseComponentId": 10000006,
75 "leaseComponentDisplayId": "LC-100000100",
76 "type": "LEASE",
77 "numberRangeIdentifierType": {
78 "name": "COMPANY_CODE"
79 },
80 "numberRangeIdentifierValue": "string",
81 "numberRangeType": {
82 "name": "CONTRACT"
83 },
84 "allowsSystemGenerateNewId": false
85 }
86 ],
87 "number": 0,
88 "sort": {
89 "unsorted": false,
90 "sorted": true,
91 "empty": false
92 },
93 "empty": false
94}
Clone¶
HTTP Request
POST /api/v1/lease-component-financial-terms/clone/{id}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "OK",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 10000001,
16 "displayId": "1495040334-20250828-085516",
17 "name": "Base Rent",
18 "expenseCategory": {
19 "id": 101,
20 "displayId": "EC-2025-001",
21 "status": {
22 "name": "ACTIVE",
23 "captionKey": "enum.objectStatus.active",
24 "active": true,
25 "caption": "Active"
26 },
27 "name": "Lease Payment",
28 "expenseCategoryType": "PAYMENT"
29 },
30 "amount": 1,
31 "amountFrequency": "ONE_TIME",
32 "paymentMode": "ADVANCE",
33 "paymentCalculationMode": "ONE_TIME",
34 "firstSpecialPaymentDate": "2019-08-24",
35 "lastSpecialPaymentDate": "2019-08-24",
36 "paymentFrequency": "MONTHLY",
37 "firstPaymentDate": "2019-08-24",
38 "lastPaymentDate": "2019-08-24",
39 "firstPaymentAmount": 0.1,
40 "lastPaymentAmount": 0.1,
41 "months": 1,
42 "days": 1,
43 "notificationDate": "2019-08-24",
44 "monthEnd": false,
45 "paymentTiming": "START_OF_DAY",
46 "escalatingRent": false,
47 "stopEscalatingAtZero": false,
48 "escalatingRentAmount": 0,
49 "escalatingRentType": "FIXED",
50 "escalationFrequencyOffset": 0,
51 "escalationFrequency": 0,
52 "escalationFastForward": 0,
53 "termStartDate": "2019-08-24",
54 "termEndDate": "2019-08-24",
55 "expenseCategoryType": "PAYMENT",
56 "spreadingFrequency": "NONE",
57 "firstSpreadingAmount": 0.1,
58 "lastSpreadingAmount": 0.1,
59 "valid": true,
60 "parentFinancialTermId": 0,
61 "termStatus": "EDITABLE",
62 "lockReason": "EXERCISED_IN_ACTIVATION_GROUP",
63 "vendorPaymentSplits": [],
64 "revisionDisplayId": "2107425785-20250828-083848",
65 "termType": "PAYMENT_TERM",
66 "revisionId": 10000006,
67 "leaseComponentId": 10000006,
68 "leaseComponentDisplayId": "LC-100000100",
69 "type": "LEASE",
70 "numberRangeIdentifierType": {
71 "name": "COMPANY_CODE"
72 },
73 "numberRangeIdentifierValue": "string",
74 "numberRangeType": {
75 "name": "CONTRACT"
76 },
77 "allowsSystemGenerateNewId": false
78 }
79}
Bulk Clone¶
HTTP Request
POST /api/v1/lease-component-financial-terms/clone/bulk
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
array[integer] |
true |
none |
Body Parameters
1[
2 0
3]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 {
3 "id": 10000001,
4 "displayId": "1495040334-20250828-085516",
5 "name": "Base Rent",
6 "expenseCategory": {
7 "id": 101,
8 "displayId": "EC-2025-001",
9 "status": {
10 "name": "ACTIVE",
11 "captionKey": "enum.objectStatus.active",
12 "active": true,
13 "caption": "Active"
14 },
15 "name": "Lease Payment",
16 "expenseCategoryType": "PAYMENT"
17 },
18 "amount": 1,
19 "amountFrequency": "ONE_TIME",
20 "paymentMode": "ADVANCE",
21 "paymentCalculationMode": "ONE_TIME",
22 "firstSpecialPaymentDate": "2019-08-24",
23 "lastSpecialPaymentDate": "2019-08-24",
24 "paymentFrequency": "MONTHLY",
25 "firstPaymentDate": "2019-08-24",
26 "lastPaymentDate": "2019-08-24",
27 "firstPaymentAmount": 0.1,
28 "lastPaymentAmount": 0.1,
29 "months": 1,
30 "days": 1,
31 "notificationDate": "2019-08-24",
32 "monthEnd": false,
33 "paymentTiming": "START_OF_DAY",
34 "escalatingRent": false,
35 "stopEscalatingAtZero": false,
36 "escalatingRentAmount": 0,
37 "escalatingRentType": "FIXED",
38 "escalationFrequencyOffset": 0,
39 "escalationFrequency": 0,
40 "escalationFastForward": 0,
41 "termStartDate": "2019-08-24",
42 "termEndDate": "2019-08-24",
43 "expenseCategoryType": "PAYMENT",
44 "spreadingFrequency": "NONE",
45 "firstSpreadingAmount": 0.1,
46 "lastSpreadingAmount": 0.1,
47 "valid": true,
48 "parentFinancialTermId": 0,
49 "termStatus": "EDITABLE",
50 "lockReason": "EXERCISED_IN_ACTIVATION_GROUP",
51 "vendorPaymentSplits": [],
52 "revisionDisplayId": "2107425785-20250828-083848",
53 "termType": "PAYMENT_TERM",
54 "revisionId": 10000006,
55 "leaseComponentId": 10000006,
56 "leaseComponentDisplayId": "LC-100000100",
57 "type": "LEASE",
58 "numberRangeIdentifierType": {
59 "name": "COMPANY_CODE"
60 },
61 "numberRangeIdentifierValue": "string",
62 "numberRangeType": {
63 "name": "CONTRACT"
64 },
65 "allowsSystemGenerateNewId": false
66 }
67]
Response Schema
Enumerated Values
Attribute |
Value |
|---|---|
amountFrequency |
DAY, MONTH, ONE_TIME, YEAR |
escalatingRentType |
FIXED, PERCENTAGE |
expenseCategoryType |
CASH_INCENTIVE, CASUALTY, EXPECTED_GRV, INCENTIVE, NON_LEASE, PAYMENT, PURCHASE_OPTION, TERMINATION_OPTION |
lockReason |
ENDS_BEFORE_MODIFICATION_DATE, EXERCISED_IN_ACTIVATION_GROUP, NO_PAYMENT |
name |
ACTIVE, CREATED, DECOMMISSIONED, DISABLED |
paymentCalculationMode |
DAILY, ONE_TIME, PAYMENT_FOR_MONTH |
paymentFrequency |
ANNUALLY, BI_MONTHLY, BI_WEEKLY, DAILY, MONTHLY, ONE_TIME, QUARTERLY, SEMI_ANNUALLY, SEMI_MONTHLY, WEEKLY |
paymentMode |
ADVANCE, ARREARS |
paymentTiming |
END_OF_DAY, START_OF_DAY |
spreadingFrequency |
NONE, PERIODIC, STRAIGHT_LINE |
termStatus |
EDITABLE, LOCKED |
termType |
INITIAL_DIRECT_COST, NON_LEASE_TERM, PAYMENT_TERM |
Retrieves A Lease Component Financial Term¶
HTTP Request
GET /api/v1/lease-component-financial-terms/revision/{revisionId}
📋 Description: Retrieves a lease component financial term by revisionID.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
revisionId |
path |
integer |
true |
The unique identifier of revisionID to retrieve lease component financial term. |
Example Values¶
Parameter |
Example |
Type |
|---|---|---|
revisionId |
|
path |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
Successfully retrieved lease component financial term |
Example Responses
1{
2 "code": "OK",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 10000001,
16 "displayId": "1495040334-20250828-085516",
17 "name": "Base Rent",
18 "expenseCategory": {
19 "id": 101,
20 "displayId": "EC-2025-001",
21 "status": {
22 "name": "ACTIVE",
23 "captionKey": "enum.objectStatus.active",
24 "active": true,
25 "caption": "Active"
26 },
27 "name": "Lease Payment",
28 "expenseCategoryType": "PAYMENT"
29 },
30 "amount": 1,
31 "amountFrequency": "ONE_TIME",
32 "paymentMode": "ADVANCE",
33 "paymentCalculationMode": "ONE_TIME",
34 "firstSpecialPaymentDate": "2019-08-24",
35 "lastSpecialPaymentDate": "2019-08-24",
36 "paymentFrequency": "MONTHLY",
37 "firstPaymentDate": "2019-08-24",
38 "lastPaymentDate": "2019-08-24",
39 "firstPaymentAmount": 0.1,
40 "lastPaymentAmount": 0.1,
41 "months": 1,
42 "days": 1,
43 "notificationDate": "2019-08-24",
44 "monthEnd": false,
45 "paymentTiming": "START_OF_DAY",
46 "escalatingRent": false,
47 "stopEscalatingAtZero": false,
48 "escalatingRentAmount": 0,
49 "escalatingRentType": "FIXED",
50 "escalationFrequencyOffset": 0,
51 "escalationFrequency": 0,
52 "escalationFastForward": 0,
53 "termStartDate": "2019-08-24",
54 "termEndDate": "2019-08-24",
55 "expenseCategoryType": "PAYMENT",
56 "spreadingFrequency": "NONE",
57 "firstSpreadingAmount": 0.1,
58 "lastSpreadingAmount": 0.1,
59 "valid": true,
60 "parentFinancialTermId": 0,
61 "termStatus": "EDITABLE",
62 "lockReason": "EXERCISED_IN_ACTIVATION_GROUP",
63 "vendorPaymentSplits": [],
64 "revisionDisplayId": "2107425785-20250828-083848",
65 "termType": "PAYMENT_TERM",
66 "revisionId": 10000006,
67 "leaseComponentId": 10000006,
68 "leaseComponentDisplayId": "LC-100000100",
69 "type": "LEASE",
70 "numberRangeIdentifierType": {
71 "name": "COMPANY_CODE"
72 },
73 "numberRangeIdentifierValue": "string",
74 "numberRangeType": {
75 "name": "CONTRACT"
76 },
77 "allowsSystemGenerateNewId": false
78 }
79}